Submit authorization sign-in or tenant consent
POST
/oauth/authorize
const url = 'https://api.muninx.com/oauth/authorize';const options = { method: 'POST', headers: { Authorization: 'Bearer <token>', 'Content-Type': 'application/x-www-form-urlencoded' }, body: new URLSearchParams({ email: 'example', password: 'example', id_token: 'example', transaction_id: 'example', tenant_id: 'example', consent: 'yes', action: 'cancel' })};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.muninx.com/oauth/authorize \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --data email=example \ --data password=example \ --data id_token=example \ --data transaction_id=example \ --data tenant_id=example \ --data consent=yes \ --data action=cancelAuthorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/x-www-form-urlencoded
object
email
string
password
string
id_token
string
transaction_id
string
tenant_id
string
consent
string
action
string
Responses
Section titled “ Responses ”Sign-in or consent page
Redirect with authorization code or error